DCMTK - Bug #1088

memory leak in oficonv module
2023-11-17 16:25 - Marco Eichelberg

Status:
Priority:
Assignee:
Category:
Target version:
Module:

Operating System:

Closed

Normal

Marco Eichelberg
Library and Apps
3.71+

oficonv

Start date:
Due date:

% Done:

Estimated time:

Compiler:

2023-11-17

100%
2:00 hours

Description

The following test case reports two memory leaks in the oficonv module:

export ICONV_MAX_REUSE=0
valgrind —--leak-check=full --show-leak-kinds=all dcm2json SCSARAB output.json

Reported 2023-11-16 in the Debian bug tracker (Bug#1056048: Memory leak in dcm2json) by Mathieu Malaterre.

History

#1 - 2024-02-21 10:43 - Marco Eichelberg

- Status changed from New to Closed

- % Done changed from 0 to 100

- Estimated time set to 2:00 h

Closed by commit #e1ca2e8a5.
